Returns information about all users on the portal.
GET users
Authentication
This request requires basic authentication.
Samples
Request sample
Bash (Unix Shell) |
[Bash (Unix Shell)] curl --location -g --request GET 'https://{portal-url}/api/v1/users' |
Response body sample
JSON |
[JSON] [ { "userInfo": { "about": "", "authorUiFourLetterCode": "en-US", "avatarImageUrl": null, "cultureInfoId": "en-US", "email": "admin@email.com", "firstName": "", "forcedRedirectUrls": [], "isAutoDetectCultureInfo": true, "isAutoDetectTimeZone": true, "isEnableHomeEditorAdvancedCss": false, "isFirstTrialUser": false, "lastActivityDate": "/Date(1734525940030+0000)/", "lastName": "", "middleName": "", "timeZoneId": "Jordan Standard Time" }, "userName": "admin", "userRole": "Administrator", "userType": "Contributor", "isEnabled": true }, { "userInfo": { "about": "", "authorUiFourLetterCode": "en-US", "avatarImageUrl": null, "cultureInfoId": "en-GB", "email": "power-reader@email.com", "firstName": "", "forcedRedirectUrls": [], "isAutoDetectCultureInfo": false, "isAutoDetectTimeZone": true, "isEnableHomeEditorAdvancedCss": false, "isFirstTrialUser": false, "lastActivityDate": null, "lastName": "", "middleName": "", "timeZoneId": "UTC" }, "userName": "power-reader", "userRole": null, "userType": "PowerReader", "isEnabled": true } ] |
Response fields
| userInfo |
An object containing basic profile information.
|
|---|---|
|
about
|
Information the user specified in the About box.
|
|
avatarImageUrl
|
URL of the image used as an avatar.
|
|
cultureInfoId
|
A four-letter language code of the user's culture. |
|
email
|
Email of the user.
|
|
firstName
|
First name of the user.
|
|
isAutoDetectCultureInfo
|
Whether the culture is automatically detected. false if the culture is explicitly set by the user.
|
|
isAutoDetectTimeZone
|
Whether the time zone is set to be automatically detected.
|
|
lastActivityDate
|
An ISO 8601 timestamp of the user's last activity date. GMT timezone.
|
|
lastName
|
Last name of the user.
|
|
middleName
|
The middle name of the user.
|
|
timeZoneId
|
An ID of the time zone the user specified.
|
| userName |
The login of the user.
|
|
userType
|
The user type of the user – Power Reader or Contributor.
|
|
userRole
|
Comma-separated list of Reviewer or Power Reader Access Groups this user belongs to.
|
|
isEnabled
|
Whether the account is enabled or not. |